Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class ProtocolVersionMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.net.ProtocolException
                      com.rabbitmq.client.ProtocolVersionMismatchException

All Implemented Interfaces:
  java.io.Serializable

    public class ProtocolVersionMismatchException

extends java.net.ProtocolException

Thrown to indicate that the server does not support the wire protocol version we requested immediately after opening the TCP socket.

See Also:
  Serialized Form

Constructor Summary
`ProtocolVersionMismatchException(Version clientVersion, Version serverVersion)`

Method Summary
`int` | `getClientMajor()` The client's AMQP specification major version.
`int` | `getClientMinor()` The client's AMQP specification minor version.
`Version` | `getClientVersion()` The client's AMQP specification version.
`int` | `getServerMajor()` The server's AMQP specification major version.
`int` | `getServerMinor()` The server's AMQP specification minor version.
`Version` | `getServerVersion()` The server's AMQP specification version.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProtocolVersionMismatchException

    public ProtocolVersionMismatchException(Version clientVersion,
                                            Version serverVersion)

Method Detail

### getClientVersion

    public Version getClientVersion()

  The client's AMQP specification version.

### getServerVersion

    public Version getServerVersion()

  The server's AMQP specification version.

### getClientMajor

    public int getClientMajor()

  The client's AMQP specification major version.

### getClientMinor

    public int getClientMinor()

  The client's AMQP specification minor version.

### getServerMajor

    public int getServerMajor()

  The server's AMQP specification major version.

### getServerMinor

    public int getServerMinor()

  The server's AMQP specification minor version.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD